#pragma once
#include "../object.h"

namespace render{

class vertexArray:_object
{
public:
    vertexArray();
    ~vertexArray();
    vertexArray(const _object&) = delete;
    vertexArray(const vertexArray&) = delete;

    void gen();
    void free();

    void bind();
    void unbind();

    void draw(unsigned, int, unsigned);
private:
    unsigned obj;
    void _alloc();
};

}
